<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('transactions', function (Blueprint $column) {
            $column->timestamp('voided_at')->nullable();
            $column->foreignId('voided_by')->nullable()->constrained('users');
            $column->foreignId('authorized_by')->nullable()->constrained('users');
            $column->text('void_reason')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('transactions', function (Blueprint $column) {
            $column->dropForeign(['voided_by']);
            $column->dropForeign(['authorized_by']);
            $column->dropColumn(['voided_at', 'voided_by', 'authorized_by', 'void_reason']);
        });
    }
};
